#include "sys/x11/dark_theme.h"
#include "sys/x11/settings.h"
#include "core/strings.h"

namespace x11 {

bool IsInDarkTheme()
{
	SettingsItem setting;
	if (!FindSetting(u8"Net/ThemeName", setting))
		return false;

	return Strings::IsGTKThemeDark(setting.data.string);
}

} // namespace x11
